com.taosdata.jdbc.ws

## Class WebSocketClientHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler<Object>
      - - com.taosdata.jdbc.ws.WebSocketClientHandler

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

    public class WebSocketClientHandler
    extends io.netty.channel.SimpleChannelInboundHandler<Object>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Field Summary

Fields
`static io.netty.util.AttributeKey<Integer>` `CLOSE_CODE_KEY`
`static io.netty.util.AttributeKey<Boolean>` `LOCAL_INITIATED_CLOSE`
`static io.netty.util.AttributeKey<String>` `REASON_KEY`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketClientHandler(Consumer<String> textMessageHandler, Consumer<io.netty.buffer.ByteBuf> binaryMessageHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `channelInactive(io.netty.channel.ChannelHandlerContext ctx)`
`void` `channelRead0(io.netty.channel.ChannelHandlerContext ctx, Object msg)`
`void` `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

`acceptInboundMessage, channelRead`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

### Field Detail

#### LOCAL_INITIATED_CLOSE

    public static final io.netty.util.AttributeKey<Boolean> LOCAL_INITIATED_CLOSE

#### CLOSE_CODE_KEY

    public static final io.netty.util.AttributeKey<Integer> CLOSE_CODE_KEY

#### REASON_KEY

    public static final io.netty.util.AttributeKey<String> REASON_KEY

### Constructor Detail

#### WebSocketClientHandler

    public WebSocketClientHandler(Consumer<String> textMessageHandler,
                                  Consumer<io.netty.buffer.ByteBuf> binaryMessageHandler)

### Method Detail

#### channelInactive

    public void channelInactive(io.netty.channel.ChannelHandlerContext ctx)

Specified by:
  `channelInactive` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelInactive` in class `io.netty.channel.ChannelInboundHandlerAdapter`

#### channelRead0

    public void channelRead0(io.netty.channel.ChannelHandlerContext ctx,
                             Object msg)
                      throws Exception

Specified by:
  `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<Object>`
Throws:
  `Exception`

#### exceptionCaught

    public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                Throwable cause)

Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`